## org.red5.server.net.rtmp
Class RTMPMinaTransport

    java.lang.Object
      org.red5.server.net.rtmp.RTMPMinaTransport

    public class RTMPMinaTransport

extends Object

Transport setup class configures socket acceptor and thread pools for RTMP in Mina.
Note: This code originates from AsyncWeb. Originally modified by Luke Hubbard.

Author:
  Luke Hubbard, Paul Gregoire

Field Summary
`protected SocketAcceptor` `acceptor`
`protected Set<SocketAddress>` `addresses`
`protected int` `connectionThreads`
`protected IoHandlerAdapter` `ioHandler`
`protected int` `ioThreads`
`protected int` `jmxPollInterval`
`protected int` `receiveBufferSize`
`protected int` `sendBufferSize`
`protected ObjectName` `serviceManagerObjectName` MBean object name used for de/registration purposes.
`protected IoServiceStatistics` `stats`
`protected boolean` `tcpNoDelay`
`protected boolean` `useHeapBuffers`

Constructor Summary
`RTMPMinaTransport()`

Method Summary
`int` `getJmxPollInterval()`
`void` `setConnectionThreads(int connectionThreads)`
`void` `setConnector(InetSocketAddress connector)`
`void` `setConnectors(List<InetSocketAddress> connectors)`
`void` `setIoHandler(IoHandlerAdapter rtmpIOHandler)`
`void` `setIoThreads(int ioThreads)`
`void` `setJmxPollInterval(int jmxPollInterval)`
`void` `setReceiveBufferSize(int receiveBufferSize)`
`void` `setSendBufferSize(int sendBufferSize)`
`void` `setTcpNoDelay(boolean tcpNoDelay)`
`void` `setUseHeapBuffers(boolean useHeapBuffers)`
`void` `start()`
`void` `stop()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### acceptor

    protected SocketAcceptor acceptor

### addresses

    protected Set<SocketAddress> addresses

### ioHandler

    protected IoHandlerAdapter ioHandler

### stats

    protected IoServiceStatistics stats

### connectionThreads

    protected int connectionThreads

### ioThreads

    protected int ioThreads

### serviceManagerObjectName

    protected ObjectName serviceManagerObjectName

  MBean object name used for de/registration purposes.

### jmxPollInterval

    protected int jmxPollInterval

### receiveBufferSize

    protected int receiveBufferSize

### sendBufferSize

    protected int sendBufferSize

### tcpNoDelay

    protected boolean tcpNoDelay

### useHeapBuffers

    protected boolean useHeapBuffers

Constructor Detail

### RTMPMinaTransport

    public RTMPMinaTransport()

Method Detail

### start

    public void start()
               throws Exception

  Throws:
    `Exception`

### stop

    public void stop()

### setConnector

    public void setConnector(InetSocketAddress connector)

### setConnectors

    public void setConnectors(List<InetSocketAddress> connectors)

### setConnectionThreads

    public void setConnectionThreads(int connectionThreads)

### setIoHandler

    public void setIoHandler(IoHandlerAdapter rtmpIOHandler)

### setIoThreads

    public void setIoThreads(int ioThreads)

### setReceiveBufferSize

    public void setReceiveBufferSize(int receiveBufferSize)

### setSendBufferSize

    public void setSendBufferSize(int sendBufferSize)

### setTcpNoDelay

    public void setTcpNoDelay(boolean tcpNoDelay)

### setUseHeapBuffers

    public void setUseHeapBuffers(boolean useHeapBuffers)

### getJmxPollInterval

    public int getJmxPollInterval()

### setJmxPollInterval

    public void setJmxPollInterval(int jmxPollInterval)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2006-2010 The Red5 Project